﻿#language: ru

@carc

Функционал: 008. CARC. Создание учетной точки

Сценарий: 008.1. CARC. Создание учетной точки для склада с ячейкой тары
	
	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Справочники.к2УчетныеТочки" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2КнопкиУчетныхТочек" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда я жду открытия окна 'Учетные точки' в течение 20 секунд
	И Я удаляю старый элемент "Склад с ячейкой тары"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Приемка'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Приемка (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Отгрузка'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Отгрузка (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение между складами'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещение между складами (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад-отправитель" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Размещение'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Размещение'
	И я изменяю флаг 'Проверить остатки в ячейки приемки'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Перемещение'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Перемещение'
	И я устанавливаю флаг 'Проверить соответствие плана и факта'
	И я устанавливаю флаг 'Проверить сканируемую номенклатуру'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Отбор'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Отбор'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Пересчет'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Пересчет'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейкой тары (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад с ячейкой тары (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 008.2. CARC. Завершение

	И Я закрыл все окна клиентского приложения	